# Get Upgrade Price - DescribeUMemUpgradePrice

## Overview

Get UMem upgrade price information






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `DescribeUMemUpgradePrice`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.dezai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **Zone** | string | Availability Zone. See [Availability Zone List](/docs/api/summary/regionlist) |No|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **Size** | int | Purchase UMem size, unit: GB |**Yes**|
| **Type** | string | Space Type: single (no hot backup), double (hot backup) (default: double) |**Yes**|
| **SpaceId** | string | SpaceId of the space that needs to be upgraded |**Yes**|
| **HighPerformance** | string | Is it performance-enhanced? The default is false, or not filled in, true is performance-enhanced. |No|
| **IsSplit** | string | If it is a split button to query the price, fill in true, otherwise fill in false, the default is false. |No|
| **BlockIds.N** | string | Perform capacity adjustment for the shard ID (not required for performance-enhanced type) |No|
| **BlockSize.N** | int | The target capacity of the shard undergoing capacity adjustment, in GB units (Performance Enhanced type does not need to be entered) |No|
| **ProxyId** | string | Proxy ID |No|
| **NewCPU** | int | Number of CPU cores after proxy upgrade |No|
| **ReplicaSize** | int | Add Read-Write Separation Node Capacity Size |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **Price** | int | Price |No|
| **OriginalPrice** | int | Original Price |No|




## Example

### Request Example
    
```
https://api.dezai.com/?Action=DescribeUMemUpgradePrice
&Region=OYdDMZXj
&Zone=eOtEEIHT
&ProjectId=xaZfeoNa
&Size=6
&Type=bmNycqFN
&SpaceId=AmSgNavR
&HighPerformance=gPcaNcLQ
&IsSplit=AjafPGzg
&BlockIds.n=WJNZdGqo
&BlockSize.n=4
&ProxyId=SPUoFZMN
&NewCPU=1
&NewSize=9
```

### Response Example
    
```json
{
  "Action": "DescribeUMemUpgradePriceResponse",
  "OriginalPrice": 9,
  "Price": 9,
  "RetCode": 0
}
```





